/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbIdentifierObj {

	// Identifier ID
	private long identifier_id;
	// Identifier 名
	private String identifier_name;
	// スキーマ属性値
	private String schema;
	// 値
	private String value;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return identifier_id
	 */
	public long getIdentifier_id() {
		return identifier_id;
	}
	/**
	 * @param identifier_id 設定する identifier_id
	 */
	public void setIdentifier_id(long identifier_id) {
		this.identifier_id = identifier_id;
	}
	/**
	 * @return identifier_name
	 */
	public String getIdentifier_name() {
		return identifier_name;
	}
	/**
	 * @param identifier_name 設定する identifier_name
	 */
	public void setIdentifier_name(String identifier_name) {
		this.identifier_name = identifier_name;
	}
	/**
	 * @return schema
	 */
	public String getSchema() {
		return schema;
	}
	/**
	 * @param schema 設定する schema
	 */
	public void setSchema(String schema) {
		this.schema = schema;
	}
	/**
	 * @return value
	 */
	public String getValue() {
		return value;
	}
	/**
	 * @param value 設定する value
	 */
	public void setValue(String value) {
		this.value = value;
	}
}